Al intentar actualizar un proxy de nube existente para usarlo con una cuenta de nube de vRealize Automation Cloud, se produce un error de acceso al manifiesto.

Problema

Puede actualizar un proxy de nube configurado existente, en lugar de crear y configurar uno nuevo, para una cuenta de nube de vRealize Automation Cloud nueva o existente. Sin embargo, es posible que se produzca un error en la actualización y aparezca el siguiente mensaje de error o uno similar.
Details
Checking for available updates, this process can take a few minutes ...
Failure: Error downloading manifest. Please contact your vendor.  
The requested URL returned error: 404 Not Found URL: <https:// ...>

Causa

Es posible que al archivo de manifiesto /opt/vmware/var/lib/vami/update/provider/provider-runtime.xml que se utilizó al configurar el proxy de nube le falte parte de la información que requiere el proceso de actualización.
Nota: Este problema del archivo de manifiesto se resolvió en las versiones más recientes de vRealize Automation Cloud. Sin embargo, si utiliza un proxy de nube de versión anterior y recibe el mensaje de error mencionado, utilice esta solución alternativa para actualizar el archivo de manifiesto provider-runtime.xml del proxy de nube.

Solución

  1. Busque y examine el archivo de manifiesto del proxy de nube. A continuación, se muestra un ejemplo de /opt/vmware/var/lib/vami/update/provider/provider-runtime.xml:
    <service>
      <properties>
         <property name="jobId" value="1" />_
         <property name="jobList" value='{ "Check":{ "JobStatus": "Failed", "JobState": 8, "TimeOfLastStateChange": "20210120101111.982008+000", "ErrorCode": 20, "ErrorDescription": "Error downloading manifest. Please contact your vendor. The requested URL returned error: 404 Not Found URL: https:\/\/vapp-updates.vmware.com\/vai-catalog\/valm\/vmw\/a1ba78af-ec67-4333-8e25-a4be022f97c7\/7.2.0.33184.latest\/manifest\/manifest-latest.xml", "TimeBeforeRemoval": "00000000000500.000000:000", "TimeSubmitted": "20210120101031.385064+000", "InstanceID": "VMware-VAMI:Job_1" }}' />_
      </properties>
    </service>
  2. Si el archivo tiene un contenido similar al anterior, actualícelo manualmente con el siguiente contenido:
    <service>
        <properties>
            <property name="localRepositoryAddress" value="https://ci-data-collector-sandbox.s3.amazonaws.com/upgrade" />
            <property name="localRepositoryPasswordFormat" value="base64" />
        </properties>
    </service>
  3. Reinicie el proxy de nube en vCenter Server.
  4. Ejecute el mismo proceso de actualización del proxy de nube que ejecutó anteriormente y que produjo el error mencionado.
  5. Si el error persiste, póngase en contacto con el soporte de VMware.